Skip to main content
`Ctrl`+`K`

# ColorMapMenu

class ColorMapSpecifier

ColorMapSpecifier: str | tuple[str, str] | ColorMap

class pyqtgraph.ColorMapMenu(

  *,
  userList=None,
  showGradientSubMenu=False,
  showColorMapSubMenus=False,

)
  __init__(
    *,
    userList=None,
    showGradientSubMenu=False,
    showColorMapSubMenus=False,
  )

    Creates a new ColorMapMenu.

    Parameters:

      - userList (`list` of `ColorMapSpecifier`, optional) – Supported values for ColorMapSpecifier are `str`, `(str, str)`, `ColorMap`

        Example: `["viridis", ("glasbey", "colorcet"), ("rainbow", "matplotlib")]`

      - showGradientSubMenu (`bool`, default `False`) – Adds legacy gradients in a submenu.

      - showColorMapSubMenus (`bool`, default `False`) – Adds bundled colormaps and external (colorcet, matplotlib) colormaps in submenus.